> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmaito.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Categories

> List newsletter categories for custom newsletter websites and backend integrations.



## OpenAPI

````yaml /openapi.json get /newsletter/categories
openapi: 3.0.3
info:
  title: Maito API Reference
  version: 0.1.0
  description: Supported endpoints for external Maito integrations.
servers:
  - url: https://api.getmaito.com/v1
    description: Maito Cloud
security:
  - bearerAuth: []
tags:
  - name: Newsletter
    description: Manage newsletter settings, subscribers, issues, and analytics.
  - name: Media Uploads
    description: Upload media assets for social and newsletter content.
paths:
  /newsletter/categories:
    get:
      tags:
        - Newsletter
      summary: List Categories
      description: >-
        List newsletter categories for custom newsletter websites and backend
        integrations.
      operationId: listNewsletterCategories
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsletterCategoriesResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    NewsletterCategoriesResponse:
      allOf:
        - $ref: '#/components/schemas/ApiSuccess'
        - type: object
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/NewsletterCategory'
    ApiSuccess:
      type: object
      required:
        - ok
        - data
      properties:
        ok:
          type: boolean
          enum:
            - true
        data: {}
    NewsletterCategory:
      type: object
      required:
        - id
        - workspaceId
        - accountSetId
        - name
        - slug
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
        workspaceId:
          type: string
        accountSetId:
          type: string
          format: uuid
        name:
          type: string
        slug:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
    ErrorResponse:
      type: object
      required:
        - ok
        - error
      properties:
        ok:
          type: boolean
          enum:
            - false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
  responses:
    Unauthorized:
      description: The API key is missing or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            ok: false
            error:
              code: UNAUTHORIZED
              message: Authentication required.
    ValidationError:
      description: The request failed validation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            ok: false
            error:
              code: VALIDATION_ERROR
              message: Invalid document query.
              details: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: your-api-key

````